package admin_api_controllers

import "github.com/astaxie/beego"

// 管理员后台路由，以 /admin/api 为前缀
func AdminAPIControllersRegisterRouters() {
	beego.Router("/admin/api/login/pwd", &LoginAPIController{}, "post:LoginByPwd")

	beego.Router("/admin/api/org/regist", &AnalysisAPIController{}, "get:RegistOrg")
	beego.Router("/admin/api/org/active", &AnalysisAPIController{}, "get:ActiveOrg")
	beego.Router("/admin/api/user/active", &AnalysisAPIController{}, "get:ActiveUser")
	beego.Router("/admin/api/org/expiring", &AnalysisAPIController{}, "get:ExpiringOrg")
	beego.Router("/admin/api/dialysis/analysis", &AnalysisAPIController{}, "get:DialysisAnalysis")
	beego.Router("/admin/api/monitor/analysis", &AnalysisAPIController{}, "get:MonitorAnalysis")
	beego.Router("/admin/api/patient/analysis", &AnalysisAPIController{}, "get:PatientAnalysis")
	beego.Router("/admin/api/home/statistics", &AnalysisAPIController{}, "get:HomeStatistics")
	beego.Router("/admin/api/getdistrictsbyupid", &OrgAPIController{}, "get:GetDistrictsByUpid")
	beego.Router("/admin/api/org/initdata", &OrgAPIController{}, "get:GetInitData")




}
